GNU bug report logs - #23002
[OSX] 25.0.92; sluggish M-x (`while-no-input' non-responsive)

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Leo Liu <sdl.web@HIDDEN>; dated Sun, 13 Mar 2016 04:03:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Changed bug title to '[OSX] 25.0.92; sluggish M-x (`while-no-input' non-responsive)' from '25.0.92; sluggish M-x' Request was from npostavs@HIDDEN to control <at> debbugs.gnu.org. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 20 Mar 2016 09:10:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 20 05:10:56 2016
Received: from localhost ([127.0.0.1]:54145 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ahZNw-0004hi-EP
	for submit <at> debbugs.gnu.org; Sun, 20 Mar 2016 05:10:56 -0400
Received: from mail-pf0-f182.google.com ([209.85.192.182]:33470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1ahZNv-0004hV-6K
 for 23002 <at> debbugs.gnu.org; Sun, 20 Mar 2016 05:10:55 -0400
Received: by mail-pf0-f182.google.com with SMTP id 4so96442879pfd.0
 for <23002 <at> debbugs.gnu.org>; Sun, 20 Mar 2016 02:10:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=eeE77DYB4NgnLWy2e/1ZQPF4UvJVI6W0Umw0uTyffvY=;
 b=KKOBUurs8cX1kFFSpTMjb36sslu/n629lObC5a5sV4qWjaFKsYMNpS4fsR4eq1YXC0
 OffCfr232MUBiEYQG0qXNtpEIckVzKc4mO9gBTFwqH9ULme/TaPtFT7oPf9nrPb8iAlJ
 JdSQh6ZgN2BTJRiXYP2J0lWP668CilGavBgpyPRyYgbm8WiN6tV/0AtQpLu3euLWzrkY
 4ly6jsRINO29vewM4AygE+WtFQaCKbLyMB7+Oha5UFdabHpp53eFFlqWoZ3713/C1eSd
 2JqKwnZSGoSvIddvzbZ/KJonWy6ArIYyTKBhhXHHullTN3j/VC5iT7tRmdp2QOzJ/AAy
 KlBg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=eeE77DYB4NgnLWy2e/1ZQPF4UvJVI6W0Umw0uTyffvY=;
 b=JjuJs8O7x4kIOtgSnO/R8RjSvjsvrwndUNqyRlC9EL27AnXUujAz/xqaRklB/jLZ2E
 KqYRrUID/4LrTfVlyD1wVnYvXVWFtVuH1n+WEXk9escO3oB4kGseSriQmb8coQW4wSO4
 sSXrRBKbRHIA2nVmnfkPBhAd/zP3gSB0xADxMTnLujuGNTRJLWsMi8gsK86lZhzPp3z4
 fsBaY6HTR268TvXH84a3UBO6ae/ZaGn7EBh0UQIrpzoqWdHkDwUG4efMbtdOo3Pi1Wr9
 CnYBepLe6fwCpIXv4jVk0wdxzsBxAOA1+hd4+OXLZnafekyrzz1lrMMTTu5+4WNhQ2gn
 eU4w==
X-Gm-Message-State: AD7BkJINN9a3A/uCibBN8KoAqZkgj8WeDDgqB7KSSpGgc5DiFu9wXOIdDQT1/9qGbEF+Uw==
X-Received: by 10.66.244.15 with SMTP id xc15mr36162546pac.97.1458465049177;
 Sun, 20 Mar 2016 02:10:49 -0700 (PDT)
Received: from zeuss-MacBook-Pro.local ([128.199.230.246])
 by smtp.gmail.com with ESMTPSA id lq10sm32531432pab.36.2016.03.20.02.10.45
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 20 Mar 2016 02:10:47 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
 <wly49kb1jd.wl%mituharu@HIDDEN>
 <jwvpouv7rsw.fsf-monnier+emacsbugs@HIDDEN>
 <wlegbbjo44.wl%mituharu@HIDDEN>
 <jwvk2l32pdi.fsf-monnier+emacsbugs@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAElBMVEUAAAAAAP+LRRP0pGC+
 vr7///+7mT1iAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMO
 DhglKe4AAAEsSURBVCjPbZNBboQwDEV/Cd4X9QJRThApmn0XYW+Jyf2v0m+HhqDBgiAe9rcTG7QH
 w/1Vn2Ar8gBb/ocywSN3qK9T3z4eFDB4eApocBpeBs1RSykoJd8gQcm8pGmHXFso3ajnmsqV0TnY
 DQkOfXUfN5NwaI7AWTVOyEhcu1aHmdWItHddUVUcUgUBCkitu8V6ditHVOVdqzl2EQ1ZVGTbdK0V
 7cqn8vWzoU5Q/bF9Y/Y0cRU1xwkys5dJ+Dt6pBDWifcNQml8Gh2JVmPSoQzo7en0grswkxrUGYJ7
 0hSxxAGr7ZMwYcHIzprpi7TENEE1xtiYxixRlCfPBsUUrwHD7uGIwATrbnODJcVrPpVn3hxiGloe
 m/S+z3CtuzUSMo83N4DPH+F0evwR3P4A2k+75838OKQAAAAASUVORK5CYII=
Date: Sun, 20 Mar 2016 17:10:42 +0800
In-Reply-To: <jwvk2l32pdi.fsf-monnier+emacsbugs@HIDDEN> (Stefan Monnier's
 message of "Tue, 15 Mar 2016 21:31:04 -0400")
Message-ID: <m11t75ikfh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (OS X 10.11.3)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23002
Cc: 23002 <at> debbugs.gnu.org, YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2016-03-15 21:31 -0400, Stefan Monnier wrote:
> Hmm... that sucks.  We could change while-no-input to call an ad-hoc
> function after binding throw-on-input, if there's no other solution.
>
>> Indeed.  (if use-polling (input-pending-p)) does work.
>
> So we could define a `poll' function that does just that.  It's not
> ideal either, of course

How do we proceed from here? I'd like to see this bug fixed for the next
pretest.

Thanks,
Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 16 Mar 2016 01:31:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 21:31:18 2016
Received: from localhost ([127.0.0.1]:49556 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ag0Iw-0003dm-0g
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 21:31:18 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:48488)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1ag0Iu-0003dY-52
 for 23002 <at> debbugs.gnu.org; Tue, 15 Mar 2016 21:31:17 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0BDFgA731xV/wr0d0tcDoMChAKFVcA+gk0EAgKBPD0QAQEBAQEBAYEKQQWDXQEBAwFWIwULCzQSFBgNJC6ICQjPIwEBAQEGAQEBAR6LOoUFB4QtAQSzP4FFI4M6WiKCeAEBAQ
X-IPAS-Result: A0BDFgA731xV/wr0d0tcDoMChAKFVcA+gk0EAgKBPD0QAQEBAQEBAYEKQQWDXQEBAwFWIwULCzQSFBgNJC6ICQjPIwEBAQEGAQEBAR6LOoUFB4QtAQSzP4FFI4M6WiKCeAEBAQ
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="196318240"
Received: from 75-119-244-10.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
 ([75.119.244.10])
 by ironport2-out.teksavvy.com with ESMTP/TLS/DHE-RSA-AES256-SHA;
 15 Mar 2016 21:31:05 -0400
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
 id 4FA4BAE416; Tue, 15 Mar 2016 21:31:04 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
Message-ID: <jwvk2l32pdi.fsf-monnier+emacsbugs@HIDDEN>
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
 <wly49kb1jd.wl%mituharu@HIDDEN>
 <jwvpouv7rsw.fsf-monnier+emacsbugs@HIDDEN>
 <wlegbbjo44.wl%mituharu@HIDDEN>
Date: Tue, 15 Mar 2016 21:31:04 -0400
In-Reply-To: <wlegbbjo44.wl%mituharu@HIDDEN> (YAMAMOTO
 Mitsuharu's message of "Wed, 16 Mar 2016 08:52:11 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23002
Cc: Eli Zaretskii <eliz@HIDDEN>, Leo Liu <sdl.web@HIDDEN>,
 23002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

>> Hmm... this seems to indicate that while-no-input is just not really
>> working in those systems.
> At least, not in a responsive way.  I first tried to shorten the
> polling interval in start_polling if Vthrow_on_input is non-nil.  But
> let-binding throw-on-input as in the definition of while-no-input was
> not enough and we would need some explicit function call to activate
> start_polling.

Hmm... that sucks.  We could change while-no-input to call an ad-hoc
function after binding throw-on-input, if there's no other solution.

> Indeed.  (if use-polling (input-pending-p)) does work.

So we could define a `poll' function that does just that.  It's not
ideal either, of course,


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 15 Mar 2016 23:52:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 19:52:17 2016
Received: from localhost ([127.0.0.1]:49543 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afyl7-0001CP-CQ
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 19:52:17 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:50594)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1afyl4-0001CF-Oc
 for 23002 <at> debbugs.gnu.org; Tue, 15 Mar 2016 19:52:15 -0400
Received: from fermat1.math.s.chiba-u.ac.jp (fermat [192.168.32.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 90F22C055D;
 Wed, 16 Mar 2016 08:52:11 +0900 (JST)
Date: Wed, 16 Mar 2016 08:52:11 +0900
Message-ID: <wlegbbjo44.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
In-Reply-To: <jwvpouv7rsw.fsf-monnier+emacsbugs@HIDDEN>
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
 <wly49kb1jd.wl%mituharu@HIDDEN>
 <jwvpouv7rsw.fsf-monnier+emacsbugs@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23002
Cc: 23002 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>,
 Leo Liu <sdl.web@HIDDEN>,
 YAMAMOTO Mitsuharu <mituharu@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>>>>> On Tue, 15 Mar 2016 10:21:36 -0400, Stefan Monnier <monnier@HIDDEN> said:

>> However, the sluggishness during the evaluation of
>> execute-extended-command--shorter is common to the both ports on OS X,
>> or non-interrupt-driven systems that use polling with SIGALRM for
>> quit/while-no-input handling, in general.  I'm thinkng about applying
>> the following patch to the Mac port, but it might also be useful for
>> other systems.

> Hmm... this seems to indicate that while-no-input is just not really
> working in those systems.

At least, not in a responsive way.  I first tried to shorten the
polling interval in start_polling if Vthrow_on_input is non-nil.  But
let-binding throw-on-input as in the definition of while-no-input was
not enough and we would need some explicit function call to activate
start_polling.

>> +      ;; On non-interrupt-driven systems, while-no-input polls for
>> +      ;; input every `polling-period' (default 2) seconds, and that is
>> +      ;; not frequent enough.  So we call input-pending-p manually.
>> +      (if (and use-polling (input-pending-p))
>> +          (signal 'quit nil))

> Hmm... I'm not sure I understand: if input-pending-p returns non-nil,
> why are we still in this loop?

> IOW, I get the impression that the above call to input-pending-p will
> end up triggering a kind of "poll" to fetch new input, so we should be
> able to arrange for this fetching to trigger whatever should normally be
> triggered by incoming input (e.g. getting out of the while-no-input
> loop), so we could just reduce the above 2 lines to a single call to
> `input-pending-p'.
> I understand this may not seem like a big progress, but "every bit
> counts" ;-) tho more seriously, I'm asking this mostly to better
> understand what's going on (but also because I get the impression that
> (signal 'quit nil) is not always the right thing to do).

Indeed.  (if use-polling (input-pending-p)) does work.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 15 Mar 2016 14:21:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 10:21:43 2016
Received: from localhost ([127.0.0.1]:49256 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afpqx-00045e-ID
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 10:21:43 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.181]:50679)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <monnier@HIDDEN>) id 1afpqw-00045S-Fu
 for 23002 <at> debbugs.gnu.org; Tue, 15 Mar 2016 10:21:42 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: A0A2FgA731xV/wr0d0tcDoMChAKFVbtAhH6CTQQCAoE8OxIBAQEBAQEBgQpBBYNdAQEDAVYjBQsLNBIUGA0kiDcIzyMBAQEBAQUBAQEBHos6hQUHhC0Fsz+BRSODOloigngBAQE
X-IPAS-Result: A0A2FgA731xV/wr0d0tcDoMChAKFVbtAhH6CTQQCAoE8OxIBAQEBAQEBgQpBBYNdAQEDAVYjBQsLNBIUGA0kiDcIzyMBAQEBAQUBAQEBHos6hQUHhC0Fsz+BRSODOloigngBAQE
X-IronPort-AV: E=Sophos;i="5.13,465,1427774400"; d="scan'208";a="196267253"
Received: from 75-119-244-10.dsl.teksavvy.com (HELO pastel.home)
 ([75.119.244.10])
 by ironport2-out.teksavvy.com with ESMTP; 15 Mar 2016 10:21:38 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id A0D296142A; Tue, 15 Mar 2016 10:21:36 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
Message-ID: <jwvpouv7rsw.fsf-monnier+emacsbugs@HIDDEN>
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
 <wly49kb1jd.wl%mituharu@HIDDEN>
Date: Tue, 15 Mar 2016 10:21:36 -0400
In-Reply-To: <wly49kb1jd.wl%mituharu@HIDDEN> (YAMAMOTO
 Mitsuharu's message of "Tue, 15 Mar 2016 17:14:46 +0900")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 23002
Cc: Eli Zaretskii <eliz@HIDDEN>, Leo Liu <sdl.web@HIDDEN>,
 23002 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> However, the sluggishness during the evaluation of
> execute-extended-command--shorter is common to the both ports on OS X,
> or non-interrupt-driven systems that use polling with SIGALRM for
> quit/while-no-input handling, in general.  I'm thinkng about applying
> the following patch to the Mac port, but it might also be useful for
> other systems.

Hmm... this seems to indicate that while-no-input is just not really
working in those systems.

> +      ;; On non-interrupt-driven systems, while-no-input polls for
> +      ;; input every `polling-period' (default 2) seconds, and that is
> +      ;; not frequent enough.  So we call input-pending-p manually.
> +      (if (and use-polling (input-pending-p))
> +          (signal 'quit nil))

Hmm... I'm not sure I understand: if input-pending-p returns non-nil,
why are we still in this loop?

IOW, I get the impression that the above call to input-pending-p will
end up triggering a kind of "poll" to fetch new input, so we should be
able to arrange for this fetching to trigger whatever should normally be
triggered by incoming input (e.g. getting out of the while-no-input
loop), so we could just reduce the above 2 lines to a single call to
`input-pending-p'.
I understand this may not seem like a big progress, but "every bit
counts" ;-) tho more seriously, I'm asking this mostly to better
understand what's going on (but also because I get the impression that
(signal 'quit nil) is not always the right thing to do).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 15 Mar 2016 11:10:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 07:10:57 2016
Received: from localhost ([127.0.0.1]:48571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afmsL-00061o-3R
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 07:10:57 -0400
Received: from mail-wm0-f45.google.com ([74.125.82.45]:36213)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sdl.web@HIDDEN>) id 1afmsJ-00061c-Ig
 for 23002 <at> debbugs.gnu.org; Tue, 15 Mar 2016 07:10:55 -0400
Received: by mail-wm0-f45.google.com with SMTP id l124so6216623wmf.1
 for <23002 <at> debbugs.gnu.org>; Tue, 15 Mar 2016 04:10:55 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=+0AYe5tuaaZ49I94De+5veXllInbOsDnjugNzwB+8j8=;
 b=ADY5yJDf2RHIATPwgzbYO1/gGzxM2mKXVj8PIiiCd/Fqt+GL+6pTeT03VXnV8B52ty
 ubJ2rx0XXdklITIBk3T4F3ioSrTFrcWrNeqUJYUIE/lhG8boTk7OzTL4gdP7KR3/8FcH
 QG11Eo2KpjwiJqOgZuneQTamH+L8SHTurLd/75TfMLfziz4H2C0QQQ+2Qyd1Q619IcIL
 nuQ9q0wdgKGQgI0XC3ZWGMUeoDTRiSVpRUCslPBzPVfFRb5KzjpV7ycm2bRzccY4uPFT
 46VriOaZcUIdtk6MoP3Y2dRP4Zfy/ERA5GQ2Vjj3IiNJgElb8hcZbSgpNmyIEn7KzawP
 OKiA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=+0AYe5tuaaZ49I94De+5veXllInbOsDnjugNzwB+8j8=;
 b=VMq4dJSRf+B0ShrzDYqeIVBG3XExbx1/95TBy4kgKewXfpxyNMMbYsBEtMs4a7rP+r
 GnrOHGlWAdX0EXIGSJpF7xkP9kkE1G4VCEsE8vbWrxE1JUO+PnVkxuv/H0ZK9Udpnvke
 Xf22ZQJn6kigTwkqL6ft8JV8Y1jbu+2MlFOhgAa06Kv5Exc0Wl5MGnBUSEBqa+1TqtiL
 0Ib0SJkyqKuHMCbfJddT04IkBaloxRSQQ8TnHY2ck0CUT+nR8QdUBrzzhckWvYAmDJ82
 dx1widcEmZapMIGHYn/0BKAVg0MfrYErT7UUV0gwlYg4rsmvBJEF3lcfa316xXqZ1sQr
 RU/A==
X-Gm-Message-State: AD7BkJIpgQlOg9XJ/OmRMXJQ9Fx7GRL+6cmOtNt1tgi0RWRuVRL+djshXgIpTTGG8YebkA==
X-Received: by 10.194.103.5 with SMTP id fs5mr29798858wjb.42.1458040250117;
 Tue, 15 Mar 2016 04:10:50 -0700 (PDT)
Received: from zeuss-MacBook-Pro.local ([46.101.90.246])
 by smtp.gmail.com with ESMTPSA id k125sm20230793wmb.14.2016.03.15.04.10.31
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Tue, 15 Mar 2016 04:10:44 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
 <wly49kb1jd.wl%mituharu@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAElBMVEUAAAAAAP+LRRP0pGC+
 vr7///+7mT1iAAAAAWJLR0QAiAUdSAAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0SU1FB9cBBwMO
 DhglKe4AAAEsSURBVCjPbZNBboQwDEV/Cd4X9QJRThApmn0XYW+Jyf2v0m+HhqDBgiAe9rcTG7QH
 w/1Vn2Ar8gBb/ocywSN3qK9T3z4eFDB4eApocBpeBs1RSykoJd8gQcm8pGmHXFso3ajnmsqV0TnY
 DQkOfXUfN5NwaI7AWTVOyEhcu1aHmdWItHddUVUcUgUBCkitu8V6ditHVOVdqzl2EQ1ZVGTbdK0V
 7cqn8vWzoU5Q/bF9Y/Y0cRU1xwkys5dJ+Dt6pBDWifcNQml8Gh2JVmPSoQzo7en0grswkxrUGYJ7
 0hSxxAGr7ZMwYcHIzprpi7TENEE1xtiYxixRlCfPBsUUrwHD7uGIwATrbnODJcVrPpVn3hxiGloe
 m/S+z3CtuzUSMo83N4DPH+F0evwR3P4A2k+75838OKQAAAAASUVORK5CYII=
Date: Tue, 15 Mar 2016 19:10:15 +0800
In-Reply-To: <wly49kb1jd.wl%mituharu@HIDDEN> (YAMAMOTO
 Mitsuharu's message of "Tue, 15 Mar 2016 17:14:46 +0900")
Message-ID: <m18u1katew.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (OS X 10.11.3)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23002
Cc: 23002 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2016-03-15 17:14 +0900, YAMAMOTO Mitsuharu wrote:
> However, the sluggishness during the evaluation of
> execute-extended-command--shorter is common to the both ports on OS X,
> or non-interrupt-driven systems that use polling with SIGALRM for
> quit/while-no-input handling, in general.  I'm thinkng about applying
> the following patch to the Mac port, but it might also be useful for
> other systems.

FWIW I can confirm that the patch fixes the bug. Thanks!

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 15 Mar 2016 08:14:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 15 04:14:51 2016
Received: from localhost ([127.0.0.1]:48477 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afk7v-0001oV-L7
	for submit <at> debbugs.gnu.org; Tue, 15 Mar 2016 04:14:51 -0400
Received: from mathmail.math.s.chiba-u.ac.jp ([133.82.132.2]:51066)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mituharu@HIDDEN>) id 1afk7t-0001oL-Fn
 for 23002 <at> debbugs.gnu.org; Tue, 15 Mar 2016 04:14:50 -0400
Received: from fermat1.math.s.chiba-u.ac.jp (fermat [192.168.32.10])
 by mathmail.math.s.chiba-u.ac.jp (Postfix) with ESMTP id 48AD8C055D;
 Tue, 15 Mar 2016 17:14:46 +0900 (JST)
Date: Tue, 15 Mar 2016 17:14:46 +0900
Message-ID: <wly49kb1jd.wl%mituharu@HIDDEN>
From: YAMAMOTO Mitsuharu <mituharu@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
In-Reply-To: <m24mc9n0yl.fsf@HIDDEN>
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
 <m24mc9n0yl.fsf@HIDDEN>
User-Agent: Wanderlust/2.14.0 (Africa) SEMI/1.14.6 (Maruoka) FLIM/1.14.8
 (=?ISO-8859-4?Q?Shij=F2?=) APEL/10.6 Emacs/22.3 (sparc-sun-solaris2.8)
 MULE/5.0 (SAKAKI)
Organization: Faculty of Science, Chiba University
MIME-Version: 1.0 (generated by SEMI 1.14.6 - "Maruoka")
Content-Type: text/plain; charset=US-ASCII
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 23002
Cc: Eli Zaretskii <eliz@HIDDEN>, 23002 <at> debbugs.gnu.org,
 monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

>>>>> On Mon, 14 Mar 2016 12:21:54 +0800, Leo Liu <sdl.web@HIDDEN> said:

> On 2016-03-13 18:08 +0200, Eli Zaretskii wrote:
>> I cannot reproduce this on my system.  (You didn't say which system is
>> yours, nor which commit is was built from, so I cannot compare that.)
>> Here, the cursor exits the minibuffer immediately, and if I type
>> something, the hint message is never shown (as I'd expect).
>> 
>> Sounds like sit-for is not working correctly on your system, but I
>> have no idea why that should happen.

> At the time of reporting I didn't have access to a NS build. I just did
> one and couldn't reproduce it either. I have emailed MacPort maintainer
> to take a look at this bug and will act accordingly. Thanks.

Not updating the display on the Mac port is because it avoids frequent
flushes and input reads for overall performance.  Flushing is deferred
until the next input reading, and in the case that
execute-extended-command--shorter takes a long time, it will be at the
timing of the next polling (every 2 seconds by default).

However, the sluggishness during the evaluation of
execute-extended-command--shorter is common to the both ports on OS X,
or non-interrupt-driven systems that use polling with SIGALRM for
quit/while-no-input handling, in general.  I'm thinkng about applying
the following patch to the Mac port, but it might also be useful for
other systems.

				     YAMAMOTO Mitsuharu
				mituharu@HIDDEN

diff --git a/lisp/simple.el b/lisp/simple.el
index 4954763..57b7ca6 100644
--- a/lisp/simple.el
+++ b/lisp/simple.el
@@ -1642,6 +1642,7 @@ execute-extended-command--shorter
   (let ((candidates '())
         (max (length typed))
         (len 1)
+        (use-polling (and (null (car (current-input-mode))) throw-on-input))
         binding)
     (while (and (not binding)
                 (progn
@@ -1652,6 +1653,11 @@ execute-extended-command--shorter
                   ;; Don't show the help message if the binding isn't
                   ;; significantly shorter than the M-x command the user typed.
                   (< len (- max 5))))
+      ;; On non-interrupt-driven systems, while-no-input polls for
+      ;; input every `polling-period' (default 2) seconds, and that is
+      ;; not frequent enough.  So we call input-pending-p manually.
+      (if (and use-polling (input-pending-p))
+          (signal 'quit nil))
       (let ((candidate (pop candidates)))
         (when (equal name
                        (car-safe (completion-try-completion




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 14 Mar 2016 04:22:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 14 00:22:12 2016
Received: from localhost ([127.0.0.1]:47307 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1afK1E-0007hH-Il
	for submit <at> debbugs.gnu.org; Mon, 14 Mar 2016 00:22:12 -0400
Received: from mail-wm0-f54.google.com ([74.125.82.54]:37720)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <sdl.web@HIDDEN>) id 1afK1D-0007h4-Ib
 for 23002 <at> debbugs.gnu.org; Mon, 14 Mar 2016 00:22:11 -0400
Received: by mail-wm0-f54.google.com with SMTP id p65so86125761wmp.0
 for <23002 <at> debbugs.gnu.org>; Sun, 13 Mar 2016 21:22:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:cc:subject:references:face:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=RC7hPiqHmGRXxSxM3xkp2ZeLbrsEZjw4EhbhVXGFS68=;
 b=sPNAjSgKfaXXQMfw5pXA+HNet6RNbdnoj4fxc7D8PAJOR38Vk/klg9bIAL7swMBfyd
 s4mQGNHA/Rrf+93DiK/gmDtjC5BwtOAN7rxwCJCm8clOU3QvAV5SkRF7VcMngzsCqyXz
 2eIqm/pNUm32FU34kb2OEIyCwcA3oHepDAG5j9MyIX/kvFW08xuo/yBUNmsA9AjPHFue
 2KyPYHaoYRDVJLfjU49oueNqWbGlRKGcQD92Lt5vU+ggDgP7O4Q9fHZ4snhUPTzOZArR
 lu1i71Y4bIN/xmiQU/3TFEIBCAG0CfkBT8iSj/IABlhpi73YF4wIpr1GVLyxV4RrePxI
 IpQg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:cc:subject:references:face:date
 :in-reply-to:message-id:user-agent:mime-version;
 bh=RC7hPiqHmGRXxSxM3xkp2ZeLbrsEZjw4EhbhVXGFS68=;
 b=N/LPzd6QsB1h/mM3qUwd7eWS4YqU625b7lGTbWAiEEORFICoAfdIZumgurFL3PQr/Q
 KbfYb1PC25/sf65I5K8dZQp+z6Rr2LJWgbBsgCE+UWK0+Zic3se6mr+QSNGZEzl1pYfd
 Zq+iyejJx1ooe1uombqlGaciGQg/mYxQvvk8p9MZHhNX4DAYgL6PkDAlSiq/DaNqpVAU
 UnFPjrC0i7qCLZS3ZN/lnGyhObeSbqR030W5JkgJ3d7gK+6uDvAojPsxt3XHgEgZpZv5
 TjaAaYUqBXckPDblFa2JA7qh6xT61Ls8KTzE9eTPKU5WtTrpjyrzuuJ+8vkwc6XTfpTW
 +p1A==
X-Gm-Message-State: AD7BkJKJaR+Fwn2pxFN1JOb7XhB/r+GRH61uTnpMATSG6NCqdmTbM0jEIgV5R2XgWueZaw==
X-Received: by 10.28.50.138 with SMTP id y132mr16367395wmy.52.1457929325887;
 Sun, 13 Mar 2016 21:22:05 -0700 (PDT)
Received: from localhost.localdomain ([46.101.90.246])
 by smtp.gmail.com with ESMTPSA id za6sm20376853wjc.18.2016.03.13.21.22.01
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 13 Mar 2016 21:22:05 -0700 (PDT)
From: Leo Liu <sdl.web@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#23002: 25.0.92; sluggish M-x
References: <m1shzvc9fv.fsf@HIDDEN> <83io0qfjie.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAACgAAAAoBAMAAAB+0KVeAAAAMFBMVEUaFRZLMy1dTENxVzKQ
 WiCrXQ97cmO/dSqSh3akjGTApXy5sJ7Sxo/Sz8Xo6eP9//xJbkruAAAAAWJLR0QAiAUdSAAAAAlw
 SFlzAAACxQAAAsUBidZ/7wAAAAd0SU1FB9cBBwMJOwHXewoAAAIBSURBVCjPVdNBiNNAFADQ6J4F
 x3hThHZBBC+WCFI8SS0iezRDcMHLHkLAg6gJH/fgYQ9xYlj2sLK4KHgqCgXFhda2Idmr4kkQPZQ0
 nkQMbTypbMmMM2m7ZgYSmMef/5OZPwo7HFnx3uKPcmj0Dht1LWZJ+Hvr7dIFZXRUwl9VRTuuKDJ+
 U44gjscknK4hhJaCkYRsWjmBtLqXlJAG2wipNe18OZJu1BBq1E8xafl4s6Jq2mUZGftU1y7CCxnp
 FVUDWJXx4C66BKBnErbuoaYNtoRTu6EZBsCbMn7W+5qOAR6WvxNOby9jHWC9hAf3n304CdiAByXs
 3Nh9roLDkyb/sWV712vYwaLSAn8CPMHIAAzOPDKP2COAFm4Y4ODVWc6xG7KXsN7UeUJjjimx2uwd
 gCgNhr0i8C/xyCD5CiCKAMY3Bf5oDzx//w/fimscdcAZU2jv9sedx6+nYPPFIoWI/GK6QZ+EFGOR
 ErAjCnV3vPZ7XqlTIMbOLY7fLcvvmT7rXNWaGDexIY44N12TG2PDp7vqyl57dnCeuWwyNpnEURxk
 fTbDYeBnKRn4oejPYI4sH6WviBumEZ/GxX4X/x6EcURFZ7E071bjQGAxpcOAEOJuTiroDEea5Szv
 rVWLYfl7ZiQwSUToxrkux7OLixAWGz22+HIyWTRYcVfomOwvzusfjtVIGgLHf3MAAAAASUVORK5C
 YII=
Date: Mon, 14 Mar 2016 12:21:54 +0800
In-Reply-To: <83io0qfjie.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 13 Mar
 2016 18:08:25 +0200")
Message-ID: <m24mc9n0yl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/25.0.92 (OS X 10.11.3)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 23002
Cc: 23002 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On 2016-03-13 18:08 +0200, Eli Zaretskii wrote:
> I cannot reproduce this on my system.  (You didn't say which system is
> yours, nor which commit is was built from, so I cannot compare that.)
> Here, the cursor exits the minibuffer immediately, and if I type
> something, the hint message is never shown (as I'd expect).
>
> Sounds like sit-for is not working correctly on your system, but I
> have no idea why that should happen.

At the time of reporting I didn't have access to a NS build. I just did
one and couldn't reproduce it either. I have emailed MacPort maintainer
to take a look at this bug and will act accordingly. Thanks.

Leo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 13 Mar 2016 16:09:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 12:09:09 2016
Received: from localhost ([127.0.0.1]:47122 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1af8Zp-0007CT-9J
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2016 12:09:09 -0400
Received: from eggs.gnu.org ([208.118.235.92]:33102)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <eliz@HIDDEN>) id 1af8Zn-0007C8-IN
 for 23002 <at> debbugs.gnu.org; Sun, 13 Mar 2016 12:09:07 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1af8Zh-0004bE-Fg
 for 23002 <at> debbugs.gnu.org; Sun, 13 Mar 2016 12:09:02 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:39842)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1af8Zb-0004av-Qy; Sun, 13 Mar 2016 12:08:55 -0400
Received: from 84.94.185.246.cable.012.net.il ([84.94.185.246]:4231
 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_128_CBC_SHA1:128)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1af8Za-0005xI-VH; Sun, 13 Mar 2016 12:08:55 -0400
Date: Sun, 13 Mar 2016 18:08:25 +0200
Message-Id: <83io0qfjie.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Leo Liu <sdl.web@HIDDEN>
In-reply-to: <m1shzvc9fv.fsf@HIDDEN> (message from Leo Liu on Sun, 13 Mar
 2016 12:01:56 +0800)
Subject: Re: bug#23002: 25.0.92; sluggish M-x
References: <m1shzvc9fv.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=gb2312
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 23002
Cc: 23002 <at> debbugs.gnu.org, monnier@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> From: Leo Liu <sdl.web@HIDDEN>
> Date: Sun, 13 Mar 2016 12:01:56 +0800
> Cc: Stefan Monnier <monnier@HIDDEN>
> 
> 1. start a NEW GUI Emacs with `emacs -q' and go to the *Scratch* buffer
> 2. M-x emacs-lisp-mode RET
> 
> The cursor stays in the minibuffer (see the screenshot; long enough for
> me to take a screenshot) for a few seconds before the message "You can
> run the command ¡®emacs-lisp-mode¡¯ with M-x e-li-mo RET".

I cannot reproduce this on my system.  (You didn't say which system is
yours, nor which commit is was built from, so I cannot compare that.)
Here, the cursor exits the minibuffer immediately, and if I type
something, the hint message is never shown (as I'd expect).

Sounds like sit-for is not working correctly on your system, but I
have no idea why that should happen.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at 23002 <at> debbugs.gnu.org:


Received: (at 23002) by debbugs.gnu.org; 13 Mar 2016 16:03:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 13 12:03:30 2016
Received: from localhost ([127.0.0.1]:47118 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1af8UM-00074R-LZ
	for submit <at> debbugs.gnu.org; Sun, 13 Mar 2016 12:03:30 -0400
Received: from aserp1040.oracle.com ([141.146.126.69]:16400)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <drew.adams@HIDDEN>) id 1af8UL-00074B-0x
 for 23002 <at> debbugs.gnu.org; Sun, 13 Mar 2016 12:03:29 -0400
Received: from userv0021.oracle.com (userv0021.oracle.com [156.151.31.71])
 by aserp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 u2DG3M8n000924
 (version=TLSv1 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK)
 for <23002 <at> debbugs.gnu.org>; Sun, 13 Mar 2016 16:03:23 GMT
Received: from aserv0122.oracle.com (aserv0122.oracle.com [141.146.126.236])
 by userv0021.oracle.com (8.13.8/8.13.8) with ESMTP id u2DG3L3L000943
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=FAIL)
 for <23002 <at> debbugs.gnu.org>; Sun, 13 Mar 2016 16:03:22 GMT
Received: from abhmp0009.oracle.com (abhmp0009.oracle.com [141.146.116.15])
 by aserv0122.oracle.com (8.13.8/8.13.8) with ESMTP id u2DG3IYj009868
 for <23002 <at> debbugs.gnu.org>; Sun, 13 Mar 2016 16:03:20 GMT
MIME-Version: 1.0
Message-ID: <69007ff0-f82f-4a50-9eae-227071123f07@default>
Date: Sun, 13 Mar 2016 09:03:17 -0700 (PDT)
From: Drew Adams <drew.adams@HIDDEN>
To: 23002 <at> debbugs.gnu.org
Subject: RE: bug#23002: 25.0.92; sluggish M-x
References: <m1shzvc9fv.fsf@HIDDEN>
In-Reply-To: <m1shzvc9fv.fsf@HIDDEN>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9  (901082) [OL
 12.0.6744.5000 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: userv0021.oracle.com [156.151.31.71]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 23002
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

>   Don't complete obsolete commands.

Not to mention that it is inappropriate not to continue
to complete obsolete commands.

As long as a feature has only been deprecated (declared
"obsolete"), but has not yet been officially desupported,
it should (duh) continue to be supported.  This is
uncalled for, premature desupport.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Mar 2016 04:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Mar 12 23:02:20 2016
Received: from localhost ([127.0.0.1]:46579 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1aexES-0004Xl-0R
	for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 23:02:20 -0500
Received: from eggs.gnu.org ([208.118.235.92]:51809)
 by debbugs.gnu.org with esmtp (Exim 4.84)
 (envelope-from <sdl.web@HIDDEN>) id 1aexER-0004XU-3f
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 23:02:19 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1aexEL-0002kl-2s
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 23:02:14 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 T_DKIM_INVALID autolearn=disabled version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:33172)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1aexEK-0002kh-VT
 for submit <at> debbugs.gnu.org; Sat, 12 Mar 2016 23:02:13 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:42780)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1aexEJ-0007yA-NW
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 23:02:12 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1aexEG-0002kV-G7
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 23:02:11 -0500
Received: from mail-pf0-x22c.google.com ([2607:f8b0:400e:c00::22c]:35591)
 by eggs.gnu.org with esmtp (Exim 4.71)
 (envelope-from <sdl.web@HIDDEN>) id 1aexEF-0002kP-Vq
 for bug-gnu-emacs@HIDDEN; Sat, 12 Mar 2016 23:02:08 -0500
Received: by mail-pf0-x22c.google.com with SMTP id n5so73144510pfn.2
 for <bug-gnu-emacs@HIDDEN>; Sat, 12 Mar 2016 20:02:07 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=from:to:subject:date:message-id:mime-version;
 bh=19jn96HK3Kbcj7ZbdmrnhsGd0GaLQeVHXPCGpEMZB4U=;
 b=BCw7KfEkavlmY7Ha5FTljjWccfEOAkRCn4PCMM1rVRAAor7ZUdu5rpd2xpwaM2yQkf
 +GLZW3lx8e/jhE0C7kyLoEluS4/NJ5ypdyGK/dROMEpPHFhvcdT9bwrtJb9Kdcwp6zHu
 JdRyNvjQCcOxZTLuYoBZq6YyWBVbjLN8wW4caN+ajzDnLk+I5TITPBKp/mDQpqn6XXYC
 +IWhgzU3WFpdx9zTbyaGRcqWE+nlerJvpAKbP8dWNhmBQB9CIPb3a09OgXoZ3zV+ado2
 xc3ei5veoTTlK+P9AUvxefWiA9WTLUgiuRQcSdAyq8ycRTPhb3ye3Uyj6bRx1LTpVwix
 nLKw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20130820;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=19jn96HK3Kbcj7ZbdmrnhsGd0GaLQeVHXPCGpEMZB4U=;
 b=Z2vvX6lXG7vNimKe7QiD4RKTFej8N3ImLXdxrlwhvJEfYKErlAs5zjVz1h/7+nt/U9
 +5sPmaSRtWzeeQY8xzLB3oPnMhZ6WXJfOQ90s5sS3vlTfomDMDCS2IjX2+m2NEq++gb3
 UBg1k2nFBE+M/6/oF2WDeSxl9MbxQVLscIZzo5mV6E9pc1dRaWQKnSUlKRZ6V1kdeOFW
 a+dyrH4A1QmUQiEBYzUq5csc8Z3DmV6zKH2o36r1nD6IwzYBgQhYFef+i1Clz8EQcUaG
 MLWizBGnulnjJ04ten/D5HvSCpJizDCP+l/CZOHl6KdrjLUtnL1gv/pNWY8/EqY/aCGb
 Pj3A==
X-Gm-Message-State: AD7BkJIQQ3Sv7woE19VPhNScIuRdmEiQ31SKPXDOryXJdW+DOTTwHBFYBoWi2vAP0jgQLA==
X-Received: by 10.98.93.155 with SMTP id n27mr19824812pfj.88.1457841726836;
 Sat, 12 Mar 2016 20:02:06 -0800 (PST)
Received: from zeuss-MacBook-Pro.local ([128.199.230.246])
 by smtp.gmail.com with ESMTPSA id u2sm8585132pfi.26.2016.03.12.20.02.01
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sat, 12 Mar 2016 20:02:05 -0800 (PST)
From: Leo Liu <sdl.web@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 25.0.92; sluggish M-x
X-Debbugs-CC: Stefan Monnier <monnier@HIDDEN>
Date: Sun, 13 Mar 2016 12:01:56 +0800
Message-ID: <m1shzvc9fv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.0 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -4.0 (----)

--=-=-=
Content-Type: text/plain; charset=gb2312
Content-Transfer-Encoding: quoted-printable


1. start a NEW GUI Emacs with `emacs -q' and go to the *Scratch* buffer
2. M-x emacs-lisp-mode RET

The cursor stays in the minibuffer (see the screenshot; long enough for
me to take a screenshot) for a few seconds before the message "You can
run the command =A1=AEemacs-lisp-mode=A1=AF with M-x e-li-mo RET".

If you repeat `M-x emacs-lisp-mode RET' the delay is gone but it will
come back at some point.

This bug makes M-x very sluggish and annoying to use. I have experienced
it since switching to 25.0.x but didn't find a simple way to reproduce
it until just now.

It surfaced because of this commit:

  d94bc77ec77dea298063f182cc8a6548b6ccce81 is the first bad commit
  commit d94bc77ec77dea298063f182cc8a6548b6ccce81
  Author: Stefan Monnier
  Date:   Mon Nov 3 17:27:26 2014 -0500
=20=20
    * lisp/simple.el (execute-extended-command--last-typed): New var.
  (read-extended-command): Set it.
  Don't complete obsolete commands.
  (execute-extended-command--shorter-1)
  (execute-extended-command--shorter): New functions.
  (execute-extended-command): Use them to suggest shorter names.
  (indicate-copied-region, deactivate-mark): Use region-active-p.
=20=20
  :040000 040000 de3e26b5d09fab83741601a4e7207ff0d12aea00 a1a28e7b2b13fe63d=
4f9442dd54a321f287548fc M	etc
  :040000 040000 6db42693d65c3b986164cab0545862e24303d346 00945565cec8df9a4=
cf92806e3485b67c1143f8e M	lisp


--=-=-=
Content-Type: image/png
Content-Disposition: attachment; filename="m-x bug.png"
Content-Transfer-Encoding: base64
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--=-=-=--




Acknowledgement sent to Leo Liu <sdl.web@HIDDEN>:
New bug report received and forwarded. Copy sent to monnier@HIDDEN, bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to monnier@HIDDEN, bug-gnu-emacs@HIDDEN:
bug#23002; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Dec 2016 03:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.